ToleranceJustification 属性 (ActiveX)
指定公差值相对于标称尺寸文本的垂直对齐方式。 支持的平台:仅限 Windows 签名VBA: object.ToleranceJustification 属性值只读:不 类型:枚举acDimToleranceJustify
言论此属性的初始值为 。acTolMiddle 仅当该属性设置为除 以外的任何值时,此属性才可用。ToleranceDisplayacTolNone 注意:此属性将覆盖给定维度的 DIMTOLJ 系统变量的值。
例子VBA: Sub Example_ToleranceJustification() ' This example creates an aligned dimension in model space and ' sets the tolerance justification for the dimension to ' a couple of common values ' ' * Note the vertical position of the tolerance text Dim dimObj As AcadDimAligned Dim newText As AcadTextStyle Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim CurrentDisplay As String ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Turn on tolerance display and increase the dimension text height, ' so the alignment of the tolerance is visible dimObj.ToleranceDisplay = acTolSymmetrical dimObj.textHeight = 1 dimObj.ToleranceHeightScale = 0.25 ThisDrawing.Application.ZoomAll ' Read and display the current tolerance justification for this dimension Select Case dimObj.ToleranceJustification Case acTolBottom: CurrentDisplay = "Bottom" Case acTolTop: CurrentDisplay = "Top" Case acTolMiddle: CurrentDisplay = "Middle" End Select MsgBox "The tolerance justification is currently: " & CurrentDisplay ' Set the tolerance justification for this dimension dimObj.ToleranceJustification = acTolBottom ThisDrawing.Regen acAllViewports ' Display the current tolerance justification for this dimension MsgBox "The tolerance display is now set to: Bottom" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ToleranceJustification() ;; This example creates an aligned dimension in model space and ;; sets the tolerance justification for the dimension to ;; a couple of common values ;; ;; * Note the vertical position of the tolerance text (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 5.5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Turn on tolerance display and increase the dimension text height, ;; so the alignment of the tolerance is visible (vla-put-ToleranceDisplay dimObj acTolSymmetrical) (vla-put-TextHeight dimObj 1) (vla-put-ToleranceHeightScale dimObj 0.25) (vla-ZoomAll acadObj) (vla-Regen doc acAllViewports) ;; Read and display the current tolerance justification for this dimension (setq currentDisplay (cond ((= (vla-get-ToleranceJustification dimObj) acTolBottom) "Bottom") ((= (vla-get-ToleranceJustification dimObj) acTolTop) "Top") ((= (vla-get-ToleranceJustification dimObj) acTolMiddle) "Middle") )) (alert (strcat "The tolerance justification is currently: " currentDisplay)) ;; Set the tolerance justification for this dimension (vla-put-ToleranceJustification dimObj acTolBottom) (vla-Regen doc acAllViewports) ;; Display the current tolerance justification for this dimension (alert "The tolerance display is now set to: Bottom") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:31
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.